import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: false,
})
export class Tab1Page {

  constructor(
    private navCtrl:NavController
  ) {}
  activeTab: string = 'nearby';
  shareList:any[]=[
    {
      "title": "洛阳骑射特训｜百步穿杨",
      "tag": "#精准射击",
      "image": "",
      "avatar": ""
    },
    {
      "title": "长安夜跑营｜戌时城门集结",
      "tag": "#耐力训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "玄武门团队特训｜协作挑战",
      "tag": "#团队协作",
      "image": "",
      "avatar": ""
    },
    {
      "title": "邺城器械训练｜攻城器械操作",
      "tag": "#力量训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "潼关剑术大师班｜剑指苍穹",
      "tag": "#技巧训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "赤壁水战演练｜水上作战",
      "tag": "#水上训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "襄阳城防特训｜守城战术",
      "tag": "#防御训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "虎牢关马术进阶｜人马合一",
      "tag": "#骑术训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "华佗五禽戏｜养生功法",
      "tag": "#柔韧训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "长坂坡急行军｜负重越野",
      "tag": "#体能训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "函谷关箭阵演练｜万箭齐发",
      "tag": "#远程攻击",
      "image": "",
      "avatar": ""
    },
    {
      "title": "白帝城攀岩挑战｜绝壁求生",
      "tag": "#极限训练",
      "image": "",
      "avatar": ""
    }
  ]
  shareList1:any[]=[
    {
      "title": "雁门关伏击训练｜暗夜潜行",
      "tag": "#战略布局",
      "image": "",
      "avatar": ""
    },
    {
      "title": "玉门关沙漠特训｜大漠孤烟",
      "tag": "#沙漠生存",
      "image": "",
      "avatar": ""
    },
    {
      "title": "敦煌壁画密室｜机关破解",
      "tag": "#智力挑战",
      "image": "",
      "avatar": ""
    },
    {
      "title": "祁连山冰川穿越｜极寒考验",
      "tag": "#寒冷训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "阴山骑兵阵演练｜铁骑冲锋",
      "tag": "#阵型训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "楼兰古城寻踪｜追踪术特训",
      "tag": "#侦察训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "居延海舟师集训｜芦苇荡作战",
      "tag": "#隐蔽行动",
      "image": "",
      "avatar": ""
    },
    {
      "title": "贺兰山岩画解密｜古代密码学",
      "tag": "#文化传承",
      "image": "",
      "avatar": ""
    },
    {
      "title": "河西走廊商队模拟｜物资押运",
      "tag": "#后勤管理",
      "image": "",
      "avatar": ""
    },
    {
      "title": "昆仑山气功修炼｜吐纳心法",
      "tag": "#内功修炼",
      "image": "",
      "avatar": ""
    }
  ]
  shareList2:any[]=[
    {
      "title": "太湖舟师操演｜八百里烟波",
      "tag": "#水上作战",
      "image": "",
      "avatar": ""
    },
    {
      "title": "钱塘江泅渡特训｜逆潮而上",
      "tag": "#激流挑战",
      "image": "",
      "avatar": ""
    },
    {
      "title": "武夷山采药人｜百草辨识",
      "tag": "#野外生存",
      "image": "",
      "avatar": ""
    },
    {
      "title": "岭南醒狮特训｜梅花桩步法",
      "tag": "#平衡训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "鄱阳湖观星营｜夜航定向",
      "tag": "#天文导航",
      "image": "",
      "avatar": ""
    },
    {
      "title": "徽州古道负重｜青石板急行",
      "tag": "#长途奔袭",
      "image": "",
      "avatar": ""
    },
    {
      "title": "岳阳楼瞭望哨｜烽火传讯",
      "tag": "#信号传递",
      "image": "",
      "avatar": ""
    },
    {
      "title": "景德镇陶艺营｜器皿负重",
      "tag": "#腕力训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "洞庭湖芦苇阵｜迷宫突围",
      "tag": "#方向感知",
      "image": "",
      "avatar": ""
    },
    {
      "title": "龙虎山道术班｜符箓投掷",
      "tag": "#精准投射",
      "image": "",
      "avatar": ""
    },
    {
      "title": "蜀道栈道修复｜高空作业",
      "tag": "#悬崖训练",
      "image": "",
      "avatar": ""
    },
    {
      "title": "江南织造坊｜锦缎举重",
      "tag": "#巧劲运用",
      "image": "",
      "avatar": ""
    }
  ]
  changeTab(tab: string) {
    this.activeTab = tab;
  }
  goShare(share?:any){
    console.log(share)
    this.navCtrl.navigateForward(["tabs","tab1","share"],{
      queryParams:share
    })
    return
  }

}
